--[[
pbInfo - Locales/lang.JP.lua
	v0.49
	by Yamabuki
	released under the Creative Commons License By-Nc-Sa: http://creativecommons.org/licenses/by-nc-sa/3.0/
]]
pbInfo.QuestTracker.CompleteText = "%(完了%)";
pbInfo.QuestTracker.CompleteItemText = "%(達成%)";
pbInfo.QuestTracker.DailyQuestPatterns = {"今日はあと(%d+) 個クエストを達成できる。", "今日はこれ以上、クエストを受ける事ができません。", "限定クエストの受注回数がリセットされました！"};
pbInfo.ChatFrame.XPTP = {'^経験値 %d+獲得！', '^TP %d+獲得！'};
pbInfo.ChatFrame.XPTPDebt = {'^経験値のマイナス分、 %d+返済済み', '^TPマイナス分、 %d+返済済み'};
pbInfo.ChatFrame.Progress = {'^(.+)の熟練度が[%d.]+%%上がりました！'};
pbInfo.Locale = {
	["Messages"] = {
		["LOADED"]  		= "Add-onをロードしました",
		["NVT"] 			= "有効なターゲットが選択されていません！",
		["TOGGLEtrue"] 		= "は|cff00FF00有効|rになりました",
		["TOGGLEfalse"]		= "は|cffFF0000無効|rになりました",
		["TOGGLEerror"]		= "は設定にありません",
		["ONLOAD"]			= "ミニマップのボタンか /pbic で設定を変更できます",
		["ATTENTIONENABLE"]	= "注意: add-onは|cffFF0000無効|rにされています。/pbic で有効にしてください。"
	},
	["Tooltip"] = {
		["HP"] 			= "HP",
		["LVL"] 		= "Lv",
		["PROGRESS"]	= "熟練度",
		["TITLE"]		= "称号",
		["GUILD"]	 	= "ギルド",
		["DISTANCE"]	= "距離",
		["TARGET"] 		= "ターゲット",
		["MANATYPE1"] 	= "Mana", -- "SP",
		["MANATYPE2"] 	= "Rage", -- "テンション",
		["MANATYPE3"] 	= "Focus", -- "集中力",
		["MANATYPE4"] 	= "Energy", -- "体力",
		["MATINBAG"]	= "バッグ内",
		["MATONBANK"]	= "銀行内"
	},
	["ClockTooltip"] = {
		["CNDTIME"] 	= "Candara時間",
		["ONLINE"] 		= "Online",
		["TIMEFORMAT"] 	= "%I:%M %p" -- http://www.lua.org/pil/22.1.html
	},
	["QuestTracker"] = {
		["DAILY"] 		= "ミッションクエスト",
		["REWARD"] 		= "報酬",
		["QUESTNPC"] 	= "報告先",
		["XP"] 			= "XP", -- "経験値",
		["TP"] 			= "TP", -- "スキルポイント",
		["GOLD"] 		= "Gold", -- "ゴールド",
		["DQITEMS"] 	= "所持数",
		["COMPLQUESTS"]	= "回分",
		["INFOTOOLTIP"] = "クリックするとリストを折りたためます\nまた、Shift+右ドラッグで移動できます"
	},
	["Config"] = {
		["Title"] 									= "pbInfo settings",
		["TabGeneral"] 								= "General",
		["TabTooltip"] 								= "Tooltip",
		["TabTargetFrame"] 							= "TargetFrame",
		["TabBloodBars"] 							= "BloodBars",
		["TabThreatMeter"] 							= "ThreatMeter",
		["TabQuestTracker"] 						= "QuestTracker",
		["TabChatLog"] 								= "ChatLog",
		["TabChatFrame"] 							= "ChatFrame",
		["TabCastingBar"] 							= "CastingBar",
		["SettingEnable"] 							= "pbInfoを有効にする",
		["SettingThousandsSeparatorFormat"]			= "桁区切り文字:",
		["SettingTimeStampFormat"] 					= "時刻表示形式:",
		["SettingExtraLanguage"] 					= "言語:",
		["SettingModifyTooltip"] 					= "モンスターとプレイヤーの情報を表示する",
		["SettingModifyHealthbar"] 					= "ターゲットのHPを表示する",
		["SettingHealthbarShowPercentage"] 			= "％も表示する",
		["SettingHealthColorFade"] 					= "HP残量に応じて色を変える",
		["SettingShowMana"] 						= "Mana, Rage, Energy, Focusを表示する",
		["SettingShowDistance"] 					= "距離を表示する",
		["SettingTooltipShowRace"] 					= "種族を表示する",
		["SettingTooltipShowPlayerInfo"] 			= "プレイヤーの称号を表示する (実験中)",
		["SettingShowMouseoverTarget"] 				= "ターゲットのターゲットを表示する",
		["SettingAllNPC"] 							= "すべてのNPCに適用する",
		["SettingStickyTooltip"] 					= "ツールチップの表示位置を固定する",
		["SettingStickyAllTooltips"] 				= "すべてに適用 (スキル, アイテム等)",
		["SettingStickyTooltipButton"] 				= "位置を固定",
		["SettingShowMaterialInfo"] 				= "採集物の情報を表示する",
		["SettingShowMatInfoItemCount"] 			= "アイテム数を表示する",
		["SettingShowMatInfoItemCountBank"] 		= "+ 銀行にあるアイテム",
		["SettingShowMatInfoItemCountIV"] 			= "+ InventoryViewerをサポートする",
		["SettingShowClockTooltip"] 				= "昼夜アイコンに時計を表示する",
		["SettingHealthBarColorFade"] 				= "HPバーの色を緑から赤に変化させる",
		["SettingModifyBloodBars"] 					= "出血バーにHPを表示する",
		["SettingBloodBarsColorFade"] 				= "出血バーの色を緑から赤に変化させる",
		["SettingBloodBarsDelay"] 					= "更新頻度 (秒):",
		["SettingThreatMeter"] 						= "ThreatMeter",
		["SettingThreatMeterShowTitle"] 			= "タイトルを表示",
		["SettingThreatMeterLock"] 					= "位置を固定する",
		["SettingThreatMeterPlayerOnTop"] 			= "自分を一番上に表示する",
		["SettingThreatMeterWarnTargetTargetTarget"]= "アシスト先の敵が攻撃態勢になったら警告する",
		["TooltipThreatMeterWarnTargetTargetTarget"]= "ターゲットのターゲットが、ターゲットに攻撃し始めた時に警告を表示します\n例：タンク->敵->タンク",
		["SettingThreatMeterHideOnNoTarget"] 		= "ターゲットが選択されていない時は隠す",
		["SettingThreatMeterHideOnNoParty"] 		= "パーティーを組んでいない時は隠す",
		["SettingThreatMeterRelativeToMaxThreat"] 	= "最大値からの相対的な値で表示する",
		["SettingThreatMeterShowRealThreat"] 		= "パーセント表示の代わりにヘイト値を表示する",
		["SettingThreatMeterDisplayLimit"] 			= "% リストに表示する最低値",
		["SettingGameTooltipAlpha"] 				= "% ツールチップ透過率",
		["SettingThreatMeterAlpha"] 				= "% ウィンドウ透過率",
		["SettingThreatMeterDelay"] 				= "更新頻度 (秒):",
		["SettingQuestTracker"] 					= "QuestTracker",
		["SettingQuestTrackerShowTitle"] 			= "タイトルを表示する",
		["SettingQuestTrackerSortAsc"] 				= "昇順に並び替える",
		["SettingQuestTrackerProgressColorFade"] 	= "進捗に応じて色を変化させる",
		["SettingQuestTrackerTooltip"] 				= "ツールチップを表示する",
		["SettingQuestTrackerTooltipRight"] 		= "ツールチップを右側に表示する",
		["SettingQuestTrackerTooltipDescription"] 	= "クエストの概要を表示する",
		["SettingQuestTrackerHighlightDailies"] 	= "ミッションクエストを強調表示する",
		["SettingQuestTrackerOpenQuestbook"] 		= "クリックでクエストブックを開く",
		["SettingQuestTrackerShowDailiesCounter"] 	= "ミッションクエストカウンターを表示する (実験中)",
		["SettingQuestTrackerFontSizesTitle"] 		= "QuestTracker 文字サイズ:",
		["SettingQuestTrackerFontSizesQuestTitle"] 	= "クエスト名の文字サイズ:",
		["SettingQuestTrackerFontSizesQuestItems"] 	= "クエストアイテムの文字サイズ:",
		["SettingQuestTrackerColorsDailyQuest"] 	= "ミッションクエストの文字色",
		["SettingChatLog"] 							= "チャットログ",
		["SettingChatLogMaxLinesPerChat"] 			= "行分の履歴を保存する",
		["SettingChatFrameFilterTitles"] 			= "種類 ([エリア], [パーティー] 等) を表示しない",
		["SettingChatFrameFilterXPTP"] 				= "経験値/スキルポイントメッセージを表示しない",
		["SettingChatFrameFilterXPTPDebt"] 			= "デスペナルティーの返済メッセージを表示しない",
		["SettingChatFrameFilterProgress"] 			= "熟練度メッセージを表示しない",
		["SettingChatFrameFilterProgressGather"]	= "採集のみ",
		["SettingChatFrameShowPlayerInfo"] 			= "クラスとレベルを表示する (実験中)",
		["SettingTimeStamp"] 						= "チャットログに時刻を表示する",
		["SettingTimeStampNotInCombatLog"] 			= "戦闘ログには表示しない",
		["SettingAutoRepairAll"] 					= "商店を開いたときに修理する",
		["SettingCastingBarShowCastTime"] 			= "詠唱時間を表示する",
		["SettingCastingBarButton"] 				= "詠唱バーを移動する",
		["TooltipBorderTitle"] 						= "GameTooltipの位置",
		["TooltipBorderText"] 						= "ドラッグ＆ドロップ",
		["ResetButton"] 							= "! リセット !",
		["CloseButton"] 							= "閉じる",
		["SaveButton"] 								= "保存"
	}
};